with Interfaces.C; use Interfaces.C;
with Interfaces.C.Strings;

package dbus_misc_h is

   function dbus_get_local_machine_id return Interfaces.C.Strings.chars_ptr;  -- ../dbus/dbus-misc.h:40:13
   pragma Import (C, dbus_get_local_machine_id, "dbus_get_local_machine_id");

   procedure dbus_get_version
     (arg1 : access int;
      arg2 : access int;
      arg3 : access int);  -- ../dbus/dbus-misc.h:42:13
   pragma Import (C, dbus_get_version, "dbus_get_version");

end dbus_misc_h;
